Summary:        Fedora Modular package repositories
Name:           fedora-modular-repos
Version:        26
Release:        0.4%{?dist}
License:        MIT
URL:            https://pagure.io/fedora-modular-repos/
# tarball is created by running make archive in the git checkout
Source:         %{name}-%{version}.2.tar.bz2
Provides:       fedora-modular-repos(%{version})
Requires:       system-modular-release(%{version})
BuildArch:      noarch

%description
Fedora modular repository files for yum and dnf along with gpg public keys

%prep
%setup -q

%build

%install
# Install the keys
install -d -m 755 $RPM_BUILD_ROOT/etc/pki/rpm-gpg
install -m 644 RPM-GPG-KEY* $RPM_BUILD_ROOT/etc/pki/rpm-gpg/

# Link the primary/secondary keys to arch files, according to archmap.
# Ex: if there's a key named RPM-GPG-KEY-fedora-19-primary, and archmap
#     says "fedora-19-primary: i386 x86_64",
#     RPM-GPG-KEY-fedora-19-{i386,x86_64} will be symlinked to that key.
pushd $RPM_BUILD_ROOT/etc/pki/rpm-gpg/
for keyfile in RPM-GPG-KEY*; do
    key=${keyfile#RPM-GPG-KEY-} # e.g. 'fedora-20-primary'
    arches=$(sed -ne "s/^${key}://p" $RPM_BUILD_DIR/%{name}-%{version}/archmap) \
        || echo "WARNING: no archmap entry for $key"
    for arch in $arches; do
        # replace last part with $arch (fedora-20-primary -> fedora-20-$arch)
        ln -s $keyfile ${keyfile%%-*}-$arch # NOTE: RPM replaces %% with %
    done
done
# and add symlink for compat generic location
ln -s RPM-GPG-KEY-fedora-%{version}-primary RPM-GPG-KEY-%{version}-fedora
popd

install -d -m 755 $RPM_BUILD_ROOT/etc/yum.repos.d
for file in fedora*repo ; do
  install -m 644 $file $RPM_BUILD_ROOT/etc/yum.repos.d
done


%files
%license LICENSE
%dir /etc/yum.repos.d
%config(noreplace) /etc/yum.repos.d/fedora-modular.repo
%dir /etc/pki/rpm-gpg
/etc/pki/rpm-gpg/*

%changelog
* Fri Jul 14 2017 Petr Šabata <contyk@redhat.com> - 26-0.4
- Add "modules=1" to the repo file so that it works with the PoC dnf
  implementation

* Tue Jul 11 2017 Petr Šabata <contyk@redhat.com> - 26-0.3
- Point to the right sources

* Tue Jul 11 2017 Petr Šabata <contyk@redhat.com> - 26-0.2
- Updating repo URL for Boltron final

* Fri Jun 02 2017 Troy Dawson <tdawson@redhat.com> - 26-0.1
- First version of spec file
